## golang-github-nbrownus-go-metrics-prometheus 0.0~git20210712.974a626

=== Makefile ===
vet:
	go vet -v ./...

test:
	go test -v ./...

fmt:
	go fmt ./...

.PHONY: test vet fmt

=== debian/changelog ===
golang-github-nbrownus-go-metrics-prometheus (0.0~git20210712.974a626-6) unstable; urgency=medium

  * Team upload
  * Add stricter version constraints for prometheus build-deps

 -- Daniel Swarbrick <dswarbrick@debian.org>  Thu, 22 Jun 2023 21:58:18 +0000

golang-github-nbrownus-go-metrics-prometheus (0.0~git20210712.974a626-5) unstable; urgency=medium

  * Team upload
  * 0001-Fix-prometheus-tests.patch

 -- Daniel Swarbrick <dswarbrick@debian.org>  Thu, 22 Jun 2023 15:09:57 +0000

golang-github-nbrownus-go-metrics-prometheus (0.0~git20210712.974a626-4) unstable; urgency=medium

  * Team upload.
  * Source only upload for Testing migration.

 -- Peymaneh <peymaneh@posteo.net>  Sun, 11 Dec 2022 15:30:45 +0100

golang-github-nbrownus-go-metrics-prometheus (0.0~git20210712.974a626-3) unstable; urgency=medium

  * Team Upload.
  * d/control: Fix section (devel -> golang)
  * Upload to unstable (Closes: #1024959)

 -- Peymaneh <peymaneh@posteo.net>  Mon, 05 Dec 2022 10:14:23 +0100

golang-github-nbrownus-go-metrics-prometheus (0.0~git20210712.974a626-2) experimental; urgency=medium

  * Team Upload.
  * d/control: Add runtime dependencies
  * d/control: Bump Standards-Version

 -- Peymaneh <peymaneh@posteo.net>  Sun, 27 Nov 2022 22:37:36 +0100

golang-github-nbrownus-go-metrics-prometheus (0.0~git20210712.974a626-1) experimental; urgency=medium

  * Initial release (Closes: #990685)

 -- Alex David <flu0r1ne@flu0r1ne.net>  Sat, 17 Jul 2021 16:19:28 -0500

=== debian/control ===
Source: golang-github-nbrownus-go-metrics-prometheus
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Alex David <flu0r1ne@flu0r1ne.net>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-prometheus-client-golang-dev (>= 1.16.0),
               golang-github-rcrowley-go-metrics-dev,
               golang-github-stretchr-testify-dev
Standards-Version: 4.6.1.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-nbrownus-go-metrics-prometheus
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-nbrownus-go-metrics-prometheus.git
Homepage: https://github.com/nbrownus/go-metrics-prometheus
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/nbrownus/go-metrics-prometheus

Package: golang-github-nbrownus-go-metrics-prometheus-dev
Architecture: all
Depends: golang-github-prometheus-client-golang-dev (>= 1.16.0),
         golang-github-rcrowley-go-metrics-dev,
         ${misc:Depends}
Description: Prometheus support for go with additional nebula metrics (library)
 This is a reporter for the go-metrics library which will post the metrics
 to the Prometheus client registry. This is expressly for supporting Prometheus
 metrics from within nebula.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

# The TestPrometheusMeterGetUpdated test is known to be bad
# and is currently failing. This does not effect the build
# TODO: Remove when upstream tests are fixed
